%global pypi_name stestr
%bcond_without bootstrap

Summary:       A test runner runner similar to testrepository
Name:          python-%{pypi_name}
Version:       4.1.0
Release:       1%{?dist}
License:       ASL 2.0
URL:           https://pypi.python.org/pypi/stestr
Source0:       %pypi_source

BuildArch:     noarch

%description
stestr is a fork of the testrepository that concentrates on being a
dedicated test runner for python projects.


%package -n    python%{python3_pkgversion}-%{pypi_name}
Summary:       A test runner runner similar to testrepository
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: git-core python3-importlib-metadata
Requires:      python%{python3_pkgversion}-pbr
Requires:      python%{python3_pkgversion}-future
Requires:      python%{python3_pkgversion}-subunit >= 1.4.0
Requires:      python%{python3_pkgversion}-fixtures >= 3.0.0
Requires:      python%{python3_pkgversion}-testtools >= 2.2.0
Requires:      python%{python3_pkgversion}-PyYAML >= 3.10.0
Requires:      python%{python3_pkgversion}-cliff >= 2.8.0
Requires:      python%{python3_pkgversion}-voluptuous >= 0.8.9

%description -n python%{python3_pkgversion}-%{pypi_name}
stestr is a fork of the testrepository that concentrates on being a 
dedicated test runner for python projects. The generic abstraction layers 
which enabled testr to work with any subunit emitting runner are gone. 
stestr hard codes python-subunit-isms into how it works.


%if %{without bootstrap}
%package -n     python%{python3_pkgversion}-%{pypi_name}-sql
Summary:        sql plugin for stestr
BuildRequires:  /usr/bin/subunit2sql-db-manage
Requires:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}
Requires:       python%{python3_pkgversion}-subunit2sql

%description    -n python%{python3_pkgversion}-%{pypi_name}-sql
It contains the sql plugin for stestr.
%endif


%prep
%autosetup -n %{pypi_name}-%{version} -S git
sed -i '/doc8.*/d' test-requirements.txt
sed -i '/hacking.*/d' test-requirements.txt


%generate_buildrequires
%pyproject_buildrequires -t %{!?with_bootstrap:-x sql}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}
ln -s stestr %{buildroot}/%{_bindir}/stestr-3
ln -s stestr-3 %{buildroot}/%{_bindir}/stestr-%{python3_version}


%check
%tox


%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_bindir}/stestr*


%if %{without bootstrap}
%files -n python%{python3_pkgversion}-%{pypi_name}-sql
%{python3_sitelib}/%{pypi_name}/repository/sql.py
%endif


%changelog
* Sun Oct 08 2023 Upgrade Robot <upbot@opencloudos.org> - 4.1.0-1
- Upgrade to version 4.1.0

* Sat Oct 7 2023 Shuo Wang <abushwang@tencent.com> - 4.0.1-6
- add buildrequires to fix build fail

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 rockerzhu <rockerzhu@tencent.com> - 4.0.1-1
- Initial build
